# Guidelines for Reference Images

Some images are more suitable for tracking than others. For best results, pick images that are distinct, asymmetric and detailed. Let me show you some examples.

## Distinct

A distinct image has distinguishable areas - quite unlike a repetitive pattern!

| Distinct :heavy_check_mark: | Not distinct :x: |
| --------------------------- | ---------------- |
| [![](../img/guidelines-for-images-10.jpg "Based on free image from https://pixabay.com/pt/illustrations/unic%c3%b3rnio-gal%c3%a1xia-fantasia-estrela-3115021/ (Tarishart)")](../img/guidelines-for-images-10.jpg){ ._blank } | [![](../img/guidelines-for-images-1.jpg "Free image from https://www.pexels.com/pt-br/foto/papel-de-parede-abstrato-roxo-e-azul-430207/ (Scott Webb)")](../img/guidelines-for-images-1.jpg){ ._blank } |
| [![](../img/guidelines-for-images-9.jpg "Based on free images from https://pixabay.com/pt/illustrations/o-macaco-chimpanz%c3%a9-macaco-banana-4701265/ (Dmitry Abramov) and https://pixabay.com/pt/vectors/panorama-crep%c3%basculo-luz-noite-c%c3%a9u-1844227/ (Wild0ne)")](../img/guidelines-for-images-9.jpg){ ._blank } | [![](../img/guidelines-for-images-4.jpg "Free image from https://www.pexels.com/pt-br/foto/imagem-completa-da-estrutura-arquitetonica-248921/ (Pixabay)")](../img/guidelines-for-images-4.jpg){ ._blank } |

## Asymmetric

Asymmetric images help the engine determine their orientation. When evaluating symmetry, you must not take colors into account.

| Asymmetric :heavy_check_mark: | Symmetric :x: |
| ----------------------------- | ------------- |
| [![](../img/guidelines-for-images-12.jpg "Free image from https://www.pexels.com/pt-br/foto/gatinho-branco-e-cinza-cheirando-flor-da-margarida-branca-1472999/ (Alex Bargain)")](../img/guidelines-for-images-12.jpg){ ._blank } | [![](../img/guidelines-for-images-2.jpg "Free image from https://www.pexels.com/pt-br/foto/frutas-citricas-brancas-vermelhas-e-amarelas-1415734/ (Aleksandar Pasaric)")](../img/guidelines-for-images-2.jpg){ ._blank } |
| [![](../img/guidelines-for-images-11.jpg "Based on free image from https://pixabay.com/pt/photos/sof%c3%a1-surreal-olhos-cachorro-arte-749629/ (0fjd125gk87)")](../img/guidelines-for-images-11.jpg){ ._blank } | [![](../img/guidelines-for-images-5.jpg "Free image from https://www.pexels.com/pt-br/foto/lapis-de-cor-amarelo-e-azul-1762851/ (Ann H)")](../img/guidelines-for-images-5.jpg){ ._blank } |

## Detailed

A detailed image has lots of details with sufficient contrast. There's not much blank space!

| Detailed :heavy_check_mark: | Not detailed :x: |
| ---------------------------------- | ----------------------- |
| [![](../img/guidelines-for-images-3.jpg "Free image from https://www.pexels.com/pt-br/foto/pagode-verde-321900/ (Anthony)")](../img/guidelines-for-images-3.jpg){ ._blank } | [![](../img/guidelines-for-images-7.jpg "Free image from https://www.pexels.com/pt-br/foto/6985119/ (Gradienta)")](../img/guidelines-for-images-7.jpg){ ._blank } |
| [![](../img/guidelines-for-images-8.jpg "Free image from https://www.pexels.com/pt-br/foto/fotografia-de-close-up-de-arara-azul-e-amarela-1453550/ (Susanne Jutzeler)")](../img/guidelines-for-images-8.jpg){ ._blank } | [![](../img/guidelines-for-images-6.jpg "Free image from https://unsplash.com/photos/KF-r4-KM9pM (Gian Gomez)")](../img/guidelines-for-images-6.jpg){ ._blank } |

## Other considerations

### Aspect ratio

Prefer images whose aspect ratio (the ratio _width &divide; height_) is somewhere between the aspect ratio of the target device (16:9 is a common aspect ratio) and 1:1 (a square). It's okay to use landscape or portrait mode - the engine will make the necessary adjustments.

### Resolution

Using a Ultra HD image is of no benefit, because the engine will downscale it. A tiny image isn't desirable either, because some details may be lost and the engine will likely have to upscale it. Use an image that has its details preserved. It's even better if that image can be loaded quickly!

### Physical materials

When printing your images, keep the following in mind:

- Prefer non-reflective materials. Avoid shiny materials such as glossy paper. Reflections may generate artifacts in the video and interfere with the tracking.
- Materials should be rigid. Don't use something that can be distorted too easily.
- Use quality materials.

### Brightness on screens

If you're using a screen to display your images, make sure to adjust its brightness. If the screen is too bright (too dark), it will cause overexposure (underexposure) in the video and tracking difficulties - details of the images will be lost. Screen reflections are also undesirable.

### Test it!

In addition to the guidelines presented above, you should always experiment with your images and make sure it all works as intended. Keep in mind that proper lighting of the physical environment is also very important!