# Welcome to MARTINS.js!

**MARTINS.js** is a GPU-accelerated Augmented Reality engine for the web. It's a standalone WebAR technology for creating AR experiences that run in web browsers. Users don't need specialized hardware nor dedicated software - only a modern and compatible web browser.

[Get started with WebAR](./introduction.md){ .md-button .md-button--primary }

## Why use MARTINS.js?

Here is why MARTINS.js is a great choice for creating Augmented Reality experiences:

* **No need to download apps!** MARTINS.js is a WebAR engine. It runs in web browsers. Users can access the AR experience immediately.
* **Fast and powerful!** MARTINS.js is GPU-accelerated. It uses WebGL2 and WebAssembly for turbocharged performance.
* **No need of custom hardware or software!** MARTINS.js is built from scratch using standard web technologies. All it requires is a modern and compatible web browser.
* **Fully standalone!** MARTINS.js has in it everything it needs to analyze the environment and help you create AR. There are no additional requirements.
* **Easy to get started!** MARTINS.js can be used with a `<script>` tag in your page. A static HTML page is enough to get started.

[Check out my WebAR demos](../demos.md){ .md-button }

## Author

MARTINS.js is developed by me, [Alexandre Martins](https://github.com/alemart){ ._blank }, a computer scientist from Brazil. This project is dual-licensed. The Free Edition, available to everyone, is licensed under the [AGPL 3.0](../license/agpl-3.0.md). The Professional Edition, available to my supporters, is licensed under the [Polyform Perimeter 1.0.0](../license/PolyForm-Perimeter-1.0.0-1.md).

[:heart:{ .heart } Support my work](../support-my-work.md){ .md-button }