# Support my work

Hi! My name is Alexandre Martins and I am the developer of this Augmented Reality engine.

If this project is valuable to you, it's vital that you support it. Continued development and maintenance is directly linked to the support of my users.

Read on to know [how you can support my work](#how-to-become-my-supporter), what the [special benefits for my supporters](#special-benefits-for-supporters) are and [why supporting open-source](#why-support-open-source) is important for you and for every other user.

## How to become my supporter

Thank you for your interest in supporting my work! Please visit my profile on Ko-fi and buy a membership. Ko-fi is a platform for content creators like myself. Users support their favorite content creators through that platform and get special benefits!

[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/alemart){ ._blank }

Memberships are 100% risk-free: you can cancel yours at any time.

## Special benefits for supporters

Here are some key benefits you'll get by being my supporter:

1. You'll get access to the **Professional Edition** of MARTINS.js. I explain the differences relative to the Free Edition in a [different page](./download.md){ ._blank }.

2. You'll be able to create WebAR experiences for various kinds of **commercial, closed-source endeavors**.

3. You'll get **a warm feeling of well-being** :heart:{ .heart }, knowing that you are a supporter of an open-source initiative that you care about. I speak [a few words about supporting open-source](#why-support-open-source).

## Why memberships?

You will be given access to exciting updates! Memberships help this project be sustainable and are 100% risk-free: you can cancel at anytime. If you cancel your membership, you will no longer receive a license to use newer versions of the Professional Edition. However, you may keep the older releases you previously had. Sounds like a great deal!

## Why support Open Source?

Open Source is not free. Projects such as this one require significant time, effort and skill from developers - some of them with highly specialized knowledge that you won't easily find in the marketplace. When you support an open-source project, you help its continued development and maintenance. Showing your support is a vital thing to do if the project is valuable to you.

Open Source is linked to the idea of _software freedom_[^1]. More often than not, people who engage in this cause have a desire to serve others. This service, however, must be sustainable. I've seen that, as their projects grow, developers work way too much and receive way too little for their efforts, to the point of unsustainability. Often they have other jobs and find themselves working overtime to maintain their freely available projects and help users with their tickets and requests - all that for no pay. This grossly unbalanced situation causes developer burnout and it's not uncommon to see them drop out of open-source completely or abandon their projects, which is a loss for everyone.

We must collectively aim for a healthy ecosystem that benefits the users and the developers of open-source software. **It's in the best interest of for-profit businesses that derive value from open-source software to support the developers.** Those who derive financial benefit from open-source should give back and support the developers of the projects they rely on, because the risk of not supporting them far exceeds the cost of supporting them. Developers are under no compulsion to do something that doesn't serve them.

Developers such as myself sometimes pick strong copyleft licenses like the AGPL[^2]. If you're going to embed a copyleft-licensed software in your product, then you must make your entire product free and open-source. By doing so, you contribute back to the free and open-source software movement. Alternatively, you may financially support the developers in exchange for a different license that makes no such requirement. We call this _dual-licensing_.

Far from being merely a moral duty, giving back is a necessity. It's a practical matter that helps you, your business, and the developers thrive. It's a key element that helps the open-source projects you rely on be sustainable; so much so that I see a growing trend towards sustainability in the open-source movement. You too can become part of this virtuous cycle. Doing so will ultimately benefit you too.

[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/alemart){ ._blank }

[^1]: A notion that says that users have the freedom to run, copy, distribute, study and modify the software.
[^2]: GNU Affero General Public License, a copyleft license published by the Free Software Foundation.

## Still have questions?

Feel free to ask questions on [GitHub Discussions](https://github.com/alemart/martins-js/discussions){ ._blank }!
